Docs
Get Schedule Block Types
GET /schedule-block-types
GET
/schedule-block-typesRequired Tokens
| Field | Type | Required | Description |
|---|---|---|---|
| Bearer | Authorization: Bearer <api-key> | Optional | Your API key. Pass it as the Bearer token on every request. |
| Organization token | x-Organization-Token | Optional | Run **Authorize Organization** in the Authorization folder. |
Returns the schedule block types a need's schedule blocks are typed by.
Requires
ResourceTypeDatabase.Read permission.Response Fields
| Field | Type | Description |
|---|---|---|
| id | Guid | The block type. |
| name | string | Name. |
| label | string | Label. |
| icon | string | Icon. |
| color | string | Color. |
| defaultResourceStateId | Guid| null | Default resource state. |
| isArchived | bool | Archived types aren't offered for new blocks. |